Bug 496166 - Review Request: sakura - Terminal emulator based on GTK and VTE
Review Request: sakura - Terminal emulator based on GTK and VTE
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
: 234721 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-16 17:58 EDT by Christoph Wickert
Modified: 2015-07-02 14:36 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-21 19:06:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
susi.lehtola: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2009-04-16 17:58:25 EDT
Spec URL: http://cwickert.fedorapeople.org/review/sakura.spec
SRPM URL: http://cwickert.fedorapeople.org/review/sakura-2.3.3-1.fc11.src.rpm
Description: Sakura is a terminal emulator based on GTK and VTE. It's a terminal emulator with few dependencies, so you don't need a full GNOME desktop installed to have a decent terminal emulator.
Comment 1 Mamoru TASAKA 2009-04-17 00:44:20 EDT
*** Bug 234721 has been marked as a duplicate of this bug. ***
Comment 2 Susi Lehtola 2009-04-18 05:52:05 EDT
You and your terminal emulators :)
Comment 3 Susi Lehtola 2009-04-18 05:55:02 EDT
Optflags are not honored:
/usr/lib64/ccache/gcc   -O2 -I/builddir/build/BUILD/sakura-2.3.3/. -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -DVERSION=\"2.3.3\" -DDATADIR=\"/usr/share\" -DBUILDTYPE=\"\" -o CMakeFiles/sakura.dir/src/sakura.o   -c /builddir/build/BUILD/sakura-2.3.3/src/sakura.c
Comment 4 Christoph Wickert 2009-04-18 21:00:55 EDT
(In reply to comment #2)
> You and your terminal emulators :)  

Gift for Robert Scheck who complained there are no good light terminals in Fedora. ;)

(In reply to comment #3)
> Optflags are not honored:

Good catch. This is because of
  IF (${CMAKE_BUILD_TYPE} MATCHES "Debug")
	SET (CMAKE_C_FLAGS "-Wall")
  ELSE (${CMAKE_BUILD_TYPE} NOT MATCHES "Debug")
	SET (CMAKE_C_FLAGS "-O2")
  ENDIF (${CMAKE_BUILD_TYPE} MATCHES "Debug")

So it can't be overwritten with
  %cmake DCMAKE_C_FLAGS=%{optflags} .

Two solutions that I can think of:
Patch CMakeLists.txt and remove the 'else ...' statement or
  sed -i 's!CMAKE_C_FLAGS "-O2"!CMAKE_C_FLAGS "%{optflags}"!' CMakeLists.txt

What do you think is better?
Comment 5 Susi Lehtola 2009-04-19 06:58:44 EDT
(In reply to comment #4)
> Two solutions that I can think of:
> Patch CMakeLists.txt and remove the 'else ...' statement or
>   sed -i 's!CMAKE_C_FLAGS "-O2"!CMAKE_C_FLAGS "%{optflags}"!' CMakeLists.txt
> 
> What do you think is better?  

I'd patch the cmake file. Whatever you think is best.
Comment 6 Christoph Wickert 2009-04-19 08:01:35 EDT
I guess a patch is better because I can send it upstream.

* Sun Apr 19 2009 Christoph Wickert <cwickert@fedoraproject.org> - 2.3.3-2
- Add patch to honor RPM_OPT_FLAGS
- Include INSTALL in %%doc since it contains some valuable information

Spec URL: http://cwickert.fedorapeople.org/review/sakura.spec
SRPM URL: http://cwickert.fedorapeople.org/review/sakura-2.3.3-2.fc11.src.rpm
Comment 7 Susi Lehtola 2009-04-19 13:52:22 EDT
rpmlint output is clean.

MUST: The package does not yet exist in Fedora. The Review Request is not a duplicate. OK

MUST: The spec file for the package is legible and macros are used consistently. OK
- You're missing an 'f' in "%patch0 -p1 -b .clags"

MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK
MUST: The License field in the package spec file must match the actual license. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. OK
MUST: Optflags are used and time stamps preserved. OK
MUST: Packages containing shared library files must call ldconfig. OK
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. OK
MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. OK
MUST: Header files must be in a -devel package. OK
MUST: Static libraries must be in a -static package. OK
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. OK
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. OK
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. OK
MUST: Packages does not contain any .la libtool archives. OK
MUST: Desktop files are installed properly. OK
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK


The package has been APPROVED.
Comment 8 Christoph Wickert 2009-04-19 16:20:22 EDT
(In reply to comment #7)
> - You're missing an 'f' in "%patch0 -p1 -b .clags"

Good catch!

New Package CVS Request
=======================
Package Name: sakura
Short Description: Terminal emulator based on GTK and VTE
Owners: cwickert
Branches: F-9 F-10 F-11
InitialCC:
Comment 9 Kevin Fenzi 2009-04-21 16:11:40 EDT
cvs done.
Comment 10 Fedora Update System 2009-04-21 19:04:43 EDT
sakura-2.3.3-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/sakura-2.3.3-2.fc11
Comment 11 Fedora Update System 2009-04-21 19:05:43 EDT
sakura-2.3.3-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/sakura-2.3.3-2.fc10
Comment 12 Christoph Wickert 2009-04-21 19:06:51 EDT
No package for F-9, because vte is too old. Closing.
Comment 13 Fedora Update System 2009-05-25 17:06:43 EDT
sakura-2.3.3-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-05-25 17:16:34 EDT
sakura-2.3.3-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Christoph Wickert 2015-07-01 11:33:30 EDT
Package Change Request
======================
Package Name: sakura
New Branches: epel7
Owners: cwickert maxamillion
InitialCC: 

Adam requested an EPEL7 branch in bug 1179499 and offered to help with it.
Comment 16 Jon Ciesla 2015-07-02 14:36:33 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.